__package__ = ''  # workaround for PEP 366

import univention.management.console.modules.oxldb.oxldbcore as modoxldb
import univention.config_registry
import univention.lib

_ = univention.lib.Translation('univention-management-console-module-oxldb-hook').translate

configRegistry = univention.config_registry.ConfigRegistry()
configRegistry.load()


def get_ox_status():
	msg = None

	oxldb = modoxldb.OXLDB(check_credentials=True)
	if oxldb.is_account_complete() and not oxldb.is_account_valid():
		msg = _('The Open-Xchange customer id or the given password seems to be invalid. Please check the given credentials. The account is required for installing updates.')

	return msg


def updater_show_message(*args, **kwargs):
	msg = get_ox_status()

	result = {'valid': False}
	if msg:
		result['valid'] = True
		result['title'] = _('OX License Management'),
		result['message'] = """<p>%s</p><p><a href='javascript:dojo.publish("/umc/modules/open", ["oxldb"]);'>""" % msg + _('Switch to OX License Management module') + '</a></p>'

	return result


def register_hooks():
	return [
		('updater_show_message', updater_show_message),
	]
